---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libBreakpointInYieldTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x294B8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x8C93, offset: 0x8C93, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2404, symBinAddr: 0x2348, symSize: 0x198 }
  - { offsetInCU: 0x8CCA, offset: 0x8CCA, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x294E0, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x8EB5, offset: 0x8EB5, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x294C0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8ECE, offset: 0x8ECE, size: 0x8, addend: 0x0, symName: __ZL4done, symObjAddr: 0x294C8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8EF5, offset: 0x8EF5, size: 0x8, addend: 0x0, symName: __ZL16breakpoint_count, symObjAddr: 0x294CC, symBinAddr: 0x808C, symSize: 0x0 }
  - { offsetInCU: 0x8F0E, offset: 0x8F0E, size: 0x8, addend: 0x0, symName: __ZL16vt_mounted_count, symObjAddr: 0x294D0, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8F27, offset: 0x8F27, size: 0x8, addend: 0x0, symName: __ZL18vt_unmounted_count, symObjAddr: 0x294D4, symBinAddr: 0x8094, symSize: 0x0 }
  - { offsetInCU: 0x8F40, offset: 0x8F40, size: 0x8, addend: 0x0, symName: __ZL11pass_status, symObjAddr: 0x294D8, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8FD9, offset: 0x8FD9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0xB90, symSize: 0x24 }
  - { offsetInCU: 0x9388, offset: 0x9388, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xC70, symBinAddr: 0xBB4, symSize: 0x300 }
  - { offsetInCU: 0x9730, offset: 0x9730, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x2C5C, symBinAddr: 0x2BA0, symSize: 0xAC }
  - { offsetInCU: 0x9849, offset: 0x9849, size: 0x8, addend: 0x0, symName: __ZL31set_ext_event_notification_modeP9_jvmtiEnv14jvmtiEventModePKcP8_jobject, symObjAddr: 0x19A8, symBinAddr: 0x18EC, symSize: 0x90 }
  - { offsetInCU: 0x9B5F, offset: 0x9B5F, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xF70, symBinAddr: 0xEB4, symSize: 0x35C }
  - { offsetInCU: 0xA23E, offset: 0xA23E, size: 0x8, addend: 0x0, symName: __ZL22print_frame_event_infoP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPKci, symObjAddr: 0x259C, symBinAddr: 0x24E0, symSize: 0x500 }
  - { offsetInCU: 0xADA8, offset: 0xADA8, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x2060, symBinAddr: 0x1FA4, symSize: 0x90 }
  - { offsetInCU: 0xAE88, offset: 0xAE88, size: 0x8, addend: 0x0, symName: __ZL11ThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x12CC, symBinAddr: 0x1210, symSize: 0x190 }
  - { offsetInCU: 0xB1C8, offset: 0xB1C8, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x145C, symBinAddr: 0x13A0, symSize: 0x1C4 }
  - { offsetInCU: 0xB5C4, offset: 0xB5C4, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadMountP9_jvmtiEnvz, symObjAddr: 0x1620, symBinAddr: 0x1564, symSize: 0x1C4 }
  - { offsetInCU: 0xB937, offset: 0xB937, size: 0x8, addend: 0x0, symName: __ZL20VirtualThreadUnmountP9_jvmtiEnvz, symObjAddr: 0x17E4, symBinAddr: 0x1728, symSize: 0x1C4 }
  - { offsetInCU: 0xBCAA, offset: 0xBCAA, size: 0x8, addend: 0x0, symName: _Java_BreakpointInYieldTest_enableEvents, symObjAddr: 0x1A38, symBinAddr: 0x197C, symSize: 0x218 }
  - { offsetInCU: 0xC0AC, offset: 0xC0AC, size: 0x8, addend: 0x0, symName: __ZL10find_classP9_jvmtiEnvP7JNIEnv_P8_jobjectPKc, symObjAddr: 0x1C50, symBinAddr: 0x1B94, symSize: 0x1A4 }
  - { offsetInCU: 0xC3E4, offset: 0xC3E4, size: 0x8, addend: 0x0, symName: __ZL14set_breakpointP7JNIEnv_P7_jclassPKc, symObjAddr: 0x1DF4, symBinAddr: 0x1D38, symSize: 0x26C }
  - { offsetInCU: 0xCABE, offset: 0xCABE, size: 0x8, addend: 0x0, symName: _Java_BreakpointInYieldTest_check, symObjAddr: 0x20F0, symBinAddr: 0x2034, symSize: 0x314 }
  - { offsetInCU: 0xD114, offset: 0xD114, size: 0x8, addend: 0x0, symName: __ZL21get_method_class_nameP9_jvmtiEnvP7JNIEnv_P10_jmethodID, symObjAddr: 0x2A9C, symBinAddr: 0x29E0, symSize: 0x1C0 }
...
